<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo( 'charset' ); ?>" />
<meta name="applicable-device" content="pc,mobile">
<title>
<?php if (is_home() ) {?>
<?php echo get_option('zhang_title'); ?>
<?php if ( $paged < 
2 ) {} else { echo (' - 第'); echo ($paged);echo ('页');}?>
<?php } else {?>
<?php wp_title(' - ', true, 'right'); 
?>
<?php bloginfo('name'); ?>
<?php if ( $paged < 2 ) {} else { echo (' - 第'); echo ($paged);echo ('页');}?>
<?php } 
?>
</title>
<?php if (is_home()){
	$description = (get_settings("zhang_description"));
	$keywords = (get_settings("zhang_keywords"));
} elseif (is_single()){
    if ($post->post_excerpt) {$description = $post->post_excerpt;} 
	 else {$description = substr(strip_tags($post->post_content),0,240);}
    $keywords = "";
    $tags = wp_get_post_tags($post->ID);
    foreach ($tags as $tag ) {
        $keywords = $keywords . $tag->name . ", ";
    }
} elseif (is_category()){
	$description = strip_tags(category_description());
	$categoryname = get_the_category();
	$keywords = $categoryname[0]->cat_name;
} elseif (is_tag()){
	$description = trim(strip_tags(tag_description($tag_ID)));
	$keywords = single_tag_title('', false);
} elseif (is_page()){
	$description = mb_strimwidth(strip_tags(apply_filters('the_content', $post->post_content)), 0, 140,"...");
	$keywords = $post->post_title;
}
?>
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<link rel="stylesheet" rev="stylesheet" href="<?php bloginfo('stylesheet_url'); ?> " type="text/css" media="screen">
<link href="<?php bloginfo('template_url'); ?>/images/last.css" rel="stylesheet" type="text/css">
<?php wp_head(); ?>
</head>
<body>
<div class="actlianxitop"><a href="#0" class="cd-top">Top</a></div>
<div id="wrapper">
  <div id="header">
    <div id="topbar">
      <div id="logo">
        <h1><a href="<?php bloginfo('url'); ?>/" title="追梦吧网赚博客">追梦吧网赚博客</a></h1>
        <p>一个学习网络赚钱，实现网上赚钱的网赚博客</p>
      </div>
      <div id="toptool"><img src="<?php bloginfo('template_url'); ?>/images/banner2.jpg" alt="个人博客"></div>
    </div>
    <div id="menu">
      <ul>
        <li><a href="<?php bloginfo('url'); ?>/">首页</a></li>
     <li><a href="http://www.zhuimeng8.com/category/mfzqxm" title="免费赚钱项目">免费赚钱项目</a></li>
	<li><a href="http://www.zhuimeng8.com/category/tzzq" title="投资赚钱">投资赚钱</a></li>
	<li><a href="http://www.zhuimeng8.com/category/wyxzq" title="玩游戏赚钱">玩游戏赚钱</a></li>
    <li><a href="http://www.zhuimeng8.com/category/xsjzjc" title="新手建站教程">新手建站教程</a></li>
    <li><a href="http://www.zhuimeng8.com/category/wlyxtg" title="网络营销推广">网络营销推广</a></li>
    <li><a href="http://www.zhuimeng8.com/bbs/" title="追梦吧网赚论坛" target="_blank">网赚论坛</a></li>
    <li><a href="http://www.zhuimeng8.com/sitemap.html" title="站点地图" target="_blank">站点地图</a></li>
      </ul>
      </ul>
    </div>
    <nav id="navs-wrap">
      <div id="logos">
        <h1><a href="<?php bloginfo('url'); ?>/" title="追梦吧网赚博客">追梦吧网赚博客</a></h1>
      </div>
      <div class="menu-icon">导航</div>
      <ul id="navs" class="menu">
        <li><a href="<?php bloginfo('url'); ?>/">首页</a></li>
        <?php wp_list_cats(); ?>
      </ul>
    </nav>
  </div>